#ifndef GeneAnalysisManager_hh
#define GeneAnalysisManager_hh 1

#include "TFile.h"
#include "TROOT.h"
#include "TTree.h"

#include "globals.hh"

struct detEvent {
    G4double Thetacm;
    G4double Thetalab;
    G4int Ndets;
    G4double detE[24];
    G4int detId[24];
};

class GeneAnalysisManager {
    /**
     * Analysis manager is a singleton object (there is only one instance).
     * The pointer to this object is available through the use of the method GetInstance();
     *
     * @see GetInstance
     */

public:
    GeneAnalysisManager();
    ~GeneAnalysisManager();

    static GeneAnalysisManager *GetInstance();

    void SetAnalysisFileName(G4String);

    void FillAng(G4double thetacm, G4double thetalab);
    void FillDetData(G4int ndets, G4double *edet, G4int *ndet);

    // void EventNo();

    void book();
    void FillTree();
    void save();

private:
    static GeneAnalysisManager *instance;
    struct detEvent mydata;

    G4String analysisFileName;

    TFile *theTFile;
    TTree *tr;
};
#endif
