#ifndef GenePrimaryGeneratorAction_hh
#define GenePrimaryGeneratorAction_hh 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "globals.hh"

class G4ParticleGun;
class G4Event;
class TH1F;
class GenePrimaryGeneratorActionMessenger;

class GenePrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction {
public:
    GenePrimaryGeneratorAction();
    ~GenePrimaryGeneratorAction();

    void GeneratePrimaries(G4Event* anEvent);
    void SetBeamEnergy(G4double);

private:
    G4ParticleGun* particleGun;
    G4double fBeamEnergy;
    G4double mass[4];
    G4double beta;
    G4double gamma;
    G4double t3_cm;
    G4double t4_cm;
    G4double p3_cm;
    G4double p4_cm;

    TH1F* hAng;
    GenePrimaryGeneratorActionMessenger* pMessenger;
};

#endif
