#include "GeneHe3detHit.hh"

#include "G4Circle.hh"
#include "G4Colour.hh"
#include "G4UnitsTable.hh"
#include "G4VVisManager.hh"
#include "G4VisAttributes.hh"

#include <iomanip>

G4Allocator<GeneHe3detHit> GeneHe3detHitAllocator;

GeneHe3detHit::GeneHe3detHit() {
    cpNo = -1;
    edep = 0.;
    pos = G4ThreeVector(0., 0., 0.);
    HitTime = 0.;
    particleName = "";
    particleEnergy = 0.;
}

GeneHe3detHit::~GeneHe3detHit() { ; }

GeneHe3detHit::GeneHe3detHit(const GeneHe3detHit& right) : G4VHit(right) {
    cpNo = right.cpNo;
    edep = right.edep;
    pos = right.pos;
    HitTime = right.HitTime;
    particleName = right.particleName;
    particleEnergy = right.particleEnergy;
}

const GeneHe3detHit& GeneHe3detHit::operator=(const GeneHe3detHit& right) {
    cpNo = right.cpNo;
    edep = right.edep;
    pos = right.pos;
    HitTime = right.HitTime;
    particleName = right.particleName;
    particleEnergy = right.particleEnergy;
    return *this;
}

int GeneHe3detHit::operator==(const GeneHe3detHit& right) const { return (this == &right) ? 1 : 0; }

void GeneHe3detHit::Draw() { ; }

void GeneHe3detHit::Print() {
    G4cout << " He3 detector hitcollection: " << std::setw(5) << G4BestUnit(edep, "Energy") << ", at "
           << G4BestUnit(pos, "Length") << G4endl;
}
