set_project("Neuron Detector")
set_languages("c++17")

add_requires("cmake::Geant4", {
    alias = "Geant4",
    system = true,
    configs = {
        components = {"ui_all", "vis_all"}
    }
})
add_requires("cmake::ROOT", {
    alias = "ROOT",
    system = true,
    configs = {
        components = {
            "dl", "Gui", "Core", "RIO", "Net", "Hist", "Gpad",
            "Tree", "Physics", "MathCore", "Thread", "ASImage"
        }
    }
})

target("NDSim")
    set_kind("binary")
    add_files("main.cpp")
    add_files("src/*.cc")
    add_includedirs("include")
    add_packages("Geant4", "ROOT")
    set_installdir("$(projectdir)/")
    after_install(function (target)
        local installdir = target:installdir()
        os.cp("$(projectdir)/*.mac", path.join(installdir, "bin"))
    end)
